import { ReduxState } from './combine';
export default function configureStore(initialState?: Partial<ReduxState>): import("redux").Store<import("redux").CombinedState<{
    dpState: import("./modules/common").DpState;
    devInfo: import("tuya-panel-kit").DevInfo<import("./modules/common").DpState>;
    logs: import("./modules/common").Log[];
    ldvModules: import("./modules/NativePropsSlice").NativeProps;
}>, import("redux").AnyAction> & {
    dispatch: unknown;
};
